@if ($footerSectionStatus == 1)
<footer class="footer-area bg-img bg-cover d-block" @if (!empty($basicInfo->footer_background_image)) data-bg-img="{{ asset('assets/img/' . $basicInfo->footer_background_image) }}" @else data-bg-img="{{ asset('assets/front/theme3456/images/footer-bg-3.jpg') }}"  @endif>
    <div class="overlay opacity-85"></div>
    <div class="footer-top pt-100 pb-70">
        <div class="container">
            <div class="row gx-xl-5 justify-content-between">
                <div class="col-xl-4 col-lg-5 col-md-6">
                    <div class="footer-widget" data-aos="fade-up">
                        <div class="logo mb-20">
                            @if (!empty($basicInfo->footer_logo))
                                <a class="navbar-brand" href="{{ route('index') }}" target="_self" title="Link">
                                    <img class="lazyload"
                                        src="{{ asset('assets/front/theme3456/images/placeholder.png') }}"
                                        data-src="{{ asset('assets/img/' . $basicInfo->footer_logo) }}"
                                        alt="Brand Logo">
                                </a>
                            @endif
                        </div>
                        <p>
                            {{ !empty($footerInfo) ? $footerInfo->about_company : '' }}
                        </p>
                    </div>
                </div>
                <div class="col-xl-2 col-lg-3 col-sm-6">
                    <div class="footer-widget" data-aos="fade-up">
                        <h4 class="title">{{ __('Useful Links') }}</h4>
                        @if (count($quickLinkInfos) == 0)
                            <h6 class="text-light">{{ __('No Link Found') . '!' }}</h6>
                        @else
                            <ul class="footer-links">
                                @foreach ($quickLinkInfos as $quickLinkInfo)
                                    <li><a target="_self" title="link"
                                            href="{{ $quickLinkInfo->url }}">{{ $quickLinkInfo->title }}</a></li>
                                @endforeach
                            </ul>
                        @endif
                    </div>
                </div>
                <div class="col-xl-4 col-md-6">
                    @if ($footersecInfo->subscribe_section_status == 1)
                        <div class="footer-widget" data-aos="fade-up">
                            <h4 class="title">{{ __('Subscribe to Our Newsletter') }}</h4>

                            <form id="newsletterForm" class="subscription-form" action="{{ route('store_subscriber') }}" method="POST">
                                @csrf
                                <div class="input-inline bg-white radius-sm">
                                    <input class="form-control border-0"
                                        placeholder="{{ __('Enter Your Email Address') }}" type="email"
                                        name="email_id" required="">
                                    <button class="btn btn-md btn-primary rounded-0 radius-sm" type="submit"
                                        aria-label="button">{{ __('Subscribe') }}</button>
                                </div>
                            </form>
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </div>
    <div class="copy-right-area py-4">
        <div class="container">
            <div class="copy-right-content">
                @if (count($socialMediaInfos) > 0)
                    <div class="social-link rounded justify-content-center mb-10">
                        @foreach ($socialMediaInfos as $socialMediaInfo)
                            <a href="{{ $socialMediaInfo->url }}" target="_blank" title="Link"><i
                                    class="{{ $socialMediaInfo->icon }}"></i></a>
                        @endforeach
                    </div>
                @endif
                <span>
                    @if (!empty($footerInfo))
                        {{ $footerInfo->copyright_text }}
                    @endif
                </span>
            </div>
        </div>
    </div>
</footer>
@endif